[**brk-client**](../README.md)

***

[brk-client](../globals.md) / BlockCountPattern

# Interface: BlockCountPattern\<T\>

Defined in: [Developer/brk/modules/brk-client/index.js:2851](https://github.com/bitcoinresearchkit/brk/blob/2e1037ff3648b9362cc223c71160f3d69c7730ad/modules/brk-client/index.js#L2851)

## Type Parameters

### T

`T`

## Properties

### cumulative

> **cumulative**: [`MetricPattern1`](../type-aliases/MetricPattern1.md)\<`T`\>

Defined in: [Developer/brk/modules/brk-client/index.js:2852](https://github.com/bitcoinresearchkit/brk/blob/2e1037ff3648b9362cc223c71160f3d69c7730ad/modules/brk-client/index.js#L2852)

***

### sum

> **sum**: [`MetricPattern1`](../type-aliases/MetricPattern1.md)\<`T`\>

Defined in: [Developer/brk/modules/brk-client/index.js:2853](https://github.com/bitcoinresearchkit/brk/blob/2e1037ff3648b9362cc223c71160f3d69c7730ad/modules/brk-client/index.js#L2853)
